Subject: RE: [ANNOUNCE] Git v2.48.0-rc0

From: <[email-masked]>
Date: Thu, 19 Dec 2024 15:46:20 -0500

On December 18, 2024 11:07 AM, I wrote:
>On December 18, 2024 1:57 AM, Patrick Steinhardt wrote:
>>On Tue, Dec 17, 2024 at 02:00:01PM -0500, [email-masked] wrote:
>>> On December 17, 2024 8:48 AM, I wrote:
>>> >This is on the latest OS version of NonStop x86. The test is done
>>> >via the
>>> >following:
>>> >With OpenSSL 3.4 The T0625 is Expat.
>>> >
>>> >When run as follows:
>>> >GIT_TEST_DEFAULT_REF_FORMAT=reftable GIT_TEST_CLONE_2GB=true
>>> >/usr/coreutils/bin/make -k test V=1 CFLAGS="-g -O2 -Winline
>>> >-I/usr/local- ssl3.4/include -I/usr/coreutils/include
>>> -I/usr/tandem/xml/T0625L01_AAE/include"
>>> >LDFLAGS="/usr/coreutils/lib/libz.a
>>> >-L/usr/local-ssl3.4/lib -L/usr/coreutils/lib
>>> -L/usr/tandem/xml/T0625L01_AAE/lib"
>>> >TEST_LINT= SHELL=/usr/coreutils/bin/bash
>>> >
>>> >The results are:
>>> >*** t0000-basic.sh ***
>>> >error: cannot run git init
>>> >Makefile:77: recipe for target 't0000-basic.sh' failed
>>> >make[2]: *** [t0000-basic.sh] Error 1
>>> >*** t0001-init.sh ***
>>> >error: cannot run git init
>>> >Makefile:77: recipe for target 't0001-init.sh' failed
>>> >make[2]: *** [t0001-init.sh] Error 1
>>> >*** t0002-gitfile.sh ***
>>> >error: cannot run git init
>>> >Makefile:77: recipe for target 't0002-gitfile.sh' failed
>>> >make[2]: *** [t0002-gitfile.sh] Error 1 etc for all tests.
>>> >
>>> >Removing GIT_TEST_DEFAULT_REF_FORMAT=reftable allows the whole test
>>> >suite
>>> to
>>> >pass.
>>> >
>>> >There are environment size limits (about 32Kb) in bash on the box,
>>> >so it is
>>> possible a
>>> >boundary was crossed internal to the test setup.
>>>
>>> I did find this, in t0000-basic:
>>> not ok 69 - init with GIT_DEFAULT_REF_FORMAT=reftable
>>
>>You mean t0001-init.sh, right?
>>
>>> but have no more details. When should I break in gdb to get a backtrace?
>>
>>Can you please run that test with "-ix" and post the logs?
>
>All tests, actually.
>
>$ GIT_TEST_DEFAULT_REF_FORMAT=reftable GIT_TEST_CLONE_2GB=true sh t0000-
>basic.sh --verbose -i -x
>error: reftable: transaction prepare: out of memory
>error: cannot run git init

Any updates or hypothesis on this? Our test system has loads of memory - I
cannot
figure out where the allocation failure takes place. There is a limit to how
much
memory can be allocated, but it is very high and our virtual memory is
extensive,
but this is a 32-bit build.

--Randall